Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001123TestLinkDatabase MS-SQLpublic2007-10-16 10:062009-03-17 15:40
Reportertoshi 
Assigned Tomhavlat 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSXPOS Version
Product Version1.7.0 final 
Fixed in Version1.8 RC 5 
Summary0001123: Garbled characters with MS-SQL 2000
DescriptionWhen I install TestLink with MS-SQL 2000,
multi-byte characters in test components get garbled.

We don't know any method to use UTF-8 on MS-SQL 2000.
I think that the function of converting Windows unicode to UTF-8 is needed.

Thanks.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0002385)
fman (administrator)
2007-10-16 13:26

I would be a good test if you can install MANTIS with MSSQL support on same enviroment and report here if everything works

regards
(0002389)
toshi (reporter)
2007-10-16 13:35

OK, I will try installing Mantis on Windows with MS-SQL.
Please wait for a while.
(0002603)
schlundus (reporter)
2007-11-08 04:27

As UTF-8 on MSSQL 2000/2005 isn't supported (the use UCS2) this won't work, as PHP5 also support Unicode-strings with zero bytes in it correctly converting from UTF-8 to UCS2 also doesn't work
One solution is using ODBTP but we dont support this. Whether ADODB supports on the flying encoding from UTF-8 to UCS2 (MSSQL) as ODBTP does, is not known to me
So for any non ISO-8859-1 Stuff i see no chance at the moment
(0005493)
mhavlat (reporter)
2009-02-16 05:58

Guys, could we close it? Andreas, Should I add some explanation to Inst. guide? Please write the text if yes. I'm not sure if I catch it. Thanks.
(0005513)
toshi (reporter)
2009-02-16 22:09

Multibyte laguage users are happy if explanation about "UTF-8 on MSSQL 2000/2005 isn't supported (the use UCS2)" in install manual, I think.
Thank you for your kindness.
(0005517)
mhavlat (reporter)
2009-02-17 00:21

I find out the next article with options:
http://support.microsoft.com/kb/232580 [^]
There a few tips:
http://www.sugarcrm.com/wiki/index.php?title=UTF-8_Character_Set_Tips [^]

I have added a new chapter to Install guide about (not committed yet) with options. Thanks.

- Issue History
Date Modified Username Field Change
2007-10-16 10:06 toshi New Issue
2007-10-16 13:26 fman Note Added: 0002385
2007-10-16 13:35 toshi Note Added: 0002389
2007-11-08 04:27 schlundus Note Added: 0002603
2009-02-16 05:58 mhavlat Note Added: 0005493
2009-02-16 22:09 toshi Note Added: 0005513
2009-02-17 00:21 mhavlat Note Added: 0005517
2009-02-17 00:23 mhavlat Status new => assigned
2009-02-17 00:23 mhavlat Assigned To => mhavlat
2009-02-23 19:58 mhavlat Status assigned => resolved
2009-02-23 19:58 mhavlat Fixed in Version => next DEV - 1.8 RC 5
2009-02-23 19:58 mhavlat Resolution open => fixed
2009-03-17 15:40 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker